#
# __init__.py
#
# Referencias bibliográficas basadas en BibTex
#
# Módulo de inicialización
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

from config import SKINS_DIR, GLOBALS, PROJECTNAME
from permissions import AddReferences

# Registramos los directorios de las plantillas y de la traducción (más los generales)
registerDirectory(SKINS_DIR, GLOBALS, "i18n")

# Inicialización
def initialize(context):
    """
    Descripción: Inicializar el producto.
    Parámetros:  context = Contexto de ejecución.
    Devuelve:    Nada.
    """
    ##Tipos a registrar (Archetypes)
    import ATRef_Booklet
    import ATRef_Book
    import ATRef_EBook
    import ATRef_Inbook
    import ATRef_Conference
    import ATRef_Article
    import ATRef_Manual
    import ATRef_Thesis
    import ATRef_TechReport
    import ATRef_Misc
    import ATRef_DocFolder

    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = AddReferences,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

